Ruby - Misc #20879

DevMeeting-2024-12-12
11/07/2024 10:45 AM - mame (Yusuke Endoh)

Status: Closed
Priority: Normal
Assignee:

Description

The next dev meeting

Date: 2024/12/12 13:00-17:00 (JST)
Log: https://github.com/ruby/dev-meeting-log/blob/master/2024/DevMeeting-2024-12-12.md

e Dev meeting IS NOT a decision-making place. All decisions should be done at the bug tracker.

¢ Dev meeting is a place we can ask Matz, nobu, nurse and other developers directly.

e Matz is a very busy person. Take this opportunity to ask him. If you can not attend, other attendees can ask instead of you (if
attendees can understand your issue).

We will write a record of the discussion in the file or to each ticket in English.

All activities are best-effort (keep in mind that most of us are volunteer developers).

The date, time and place of the meeting are scheduled according to when/where we can reserve Matz's time.

DO NOT discuss then on this ticket, please.

Call for agenda items

If you have a ticket that you want matz and committers to discuss, please post it into this ticket in the following format:

* [Ticket ref] Ticket title (your name)
* Comment (A summary of the ticket, why you put this ticket here, what point should be discussed
, etc.)

Example:

* [Feature #14609] "Kernel#p without args shows the receiver (kol)
* I feel this feature is very useful and some people say :+1: so let discuss this feature.

e |t is recommended to add a comment by 2024/12/09. We hold a preparatory meeting to create an agenda a few days before the
dev-meeting.

e The format is strict. We'll use this script to automatically create an markdown-style agenda. We may ignore a comment that
does not follow the format.

e Your comment is mandatory. We cannot read all discussion of the ticket in a limited time. We appreciate it if you could write a
short summary and update from a previous discussion.

Related issues:
Related to Ruby - Misc #14770: [META] DevelopersMeeting Open

History

#1 - 11/07/2024 10:45 AM - mame (Yusuke Endoh)
- Related to Misc #14770: [META] DevelopersMeeting added

#2 - 11/21/2024 05:42 PM - byroot (Jean Boussier)

¢ [Feature #20878] A new C API to create a String by adopting a pointer (byroot)

Would be useful for many extensions.

Allow to efficiently work with a raw, malloced buffer, and then turn it into a Ruby string without copying it.
The pointer is adopted as soon as the function is called, if the function fails the pointer is freed immediately.
Proposed implementation: https:/github.com/ruby/ruby/pull/12143

Current name is rb_enc_str_adopt, but rb_enc_str_move could be make sense too.
#3 - 11/21/2024 08:41 PM - tenderlovemaking (Aaron Patterson)

¢ [Feature #20861] Add an environment variable so we can change the thread quantum
It maintains the default quantum but allows applications to experiment with different quantums

Lower quantums can help improve performance for applications with mixed |0 / CPU workloads

The best quantum depends on the application load, so having a configuration option would be nice

We discussed at RubyConf and the feature seems fine but the name maybe not good enough. What is an appropriate name?

O o O O

#4 - 11/26/2024 02:47 AM - hsbt (Hiroshi SHIBATA)

e [Feature #20884] reserve "Ruby" toplevel module for Ruby language
o It's better to reserve this at Ruby 3.4, not 3.5.

#5 - 11/27/2024 08:54 PM - st0012 (Stan Lo)

¢ [Misc #20913] Proposal: Adding Jeremy Evans and Burdette Lamar to www.ruby-lang.org's English Editorial Team
o They have expressed enthusiasm for improving the website during recent discussions at RubyConf in Chicago.
o Adding them would enhance our reviewing capacity for the increased contributions to the site's content.

#6 - 12/08/2024 09:03 AM - shioimm (Misaki Shioi)

¢ [Feature #20935] API for Globally Enabling/Disabling Happy Eyeballs Version 2 in the Socket Class
o | would like to discuss the appropriateness of the API for enabling/disabling HEv2 in the Socket class.

#7 - 12/09/2024 08:31 PM - kOkubun (Takashi Kokubun)

¢ [Bug #20930] Different semantics for nested it and _1 (eregon)
o | allowed multiple uses of it in different levels of nested blocks, e.g. files.each { YAML.parse_file(it).each { p it } }, which is a SyntaxError with
_1. Can we confirm that it's okay to introduce the behavior?
o (from @Eregon (Benoit Daloze)): If we allow nested it, what about _1 (and _2, _3, ... of course), should we allow them nested as well, or
not? IMO it and _1 should be equivalent.

#8 - 12/12/2024 11:34 AM - mame (Yusuke Endoh)
- Description updated

- Status changed from Open to Closed
